*, *::after, *::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {    
    font-family: 'Segoe UI', sans-serif;
    background-color: #d1d5d8;
    background-image:
        linear-gradient(90deg, rgba(0, 0, 0, 0.06) 2px, transparent 2px),
        linear-gradient(rgba(0, 0, 0, 0.06) 2px, transparent 2px);
    background-size: 70px 70px;
}

html {
    font-size: 62.5%;
}


header {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: space-between;
    padding: 20px 50px;
    height: 13vh;
    background-color: #111111;
}

.div-header-e {
    display: flex;
    align-items: center;
    background: linear-gradient(to right, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
}

.div-header-e img {
    margin-top: 6px;
    width: 60px;
    height: auto;
    margin-right: 10px;
}

#header-h1 {
    font-size: 22px;
}

nav {
    margin: 0 auto;
}

#nav-ul {

    display: flex;
    gap: 0px 35px;
    list-style: none;
}

.nav-li {
    box-shadow: 0px 0px 10px #d1d5d8;
}


#nav-ul li a {
    display: flex;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 50px;
    width: 110px;
    font-size: 16px;
    border-radius: 14px;
    color: #d1d5d8;
    font-weight: bold;
    transition: 0.5s;
}

#nav-ul li a:hover {
    transform: scale(1.1);
    background: linear-gradient(to right, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    box-shadow: 0px 0px 10px #00dd74, #00abff;
}

#nav-ul:hover>li a:not(:hover) {
    filter: blur(2px);
    transform: scale(0.9);
}

.div-log {
    display: flex;
    gap: 0px 20px;
    font-size: 14px;
}

.a-log {
    text-decoration: none;
    background: linear-gradient(to right, #00dd74, #00abff);
    color: whitesmoke;
    padding: 12px 16px;
    border-radius: 30px;
    font-weight: bold;

}

.a-log:hover {
    transform: scale(1.15);
    box-shadow: 0 5px 20px rgba(0, 171, 255, 0.6);
    background: linear-gradient(to right, #00abff, #00dd74);
}

#fons {
    background-image: url(imatges/fons-1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    display: block;
    margin: 0 auto;
    height: 75vh;
    width: 90%;
    margin-bottom: 3%;
    margin-top: 4%;
    border-radius: 45px;

}


.sec-div1 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    height: 85vh;
}

#h2-inicial {
    font-size: 50px;
    margin: 40px;
    background: linear-gradient(to bottom, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    text-shadow: 0px 0px 50px whitesmoke;

}

#h3-inicial {
    font-size: 30px;
    font-weight: bold;
    background: linear-gradient(to top, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    text-shadow: 0px 0px 40px whitesmoke;
}





#div-explicacio {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 600px;
    width: 100%;
    text-align: center;
    background-color: #e4e6e7;
}

#h2-explicacio {
    text-align: center;
    font-size: xx-large;
    font-weight: bold;
    color: #111111;
    text-shadow: 3px 2px 3px #00dd74;

}



#div-contingut {
    display: flex;
    max-width: 1000px;
    padding: 20px;
    padding-bottom: 40px;
    gap: 40px;
    margin-top: 20px;
}


#p-explicacio {
    font-size: 17px;
    line-height: 28px;
    text-align: justify;
    color: black;
    margin-left: 12px;
    margin-bottom: 45px;
}


#boto-contacte {
    padding: 10px 20px;
    border: none;
    text-decoration: none;
    font-size: 17px;
    color: white;
    border-radius: 7px;
    letter-spacing: 4px;
    font-weight: 700;
    text-transform: uppercase;
    transition: 0.5s;
    background: #00abff;
    box-shadow: 0 0 25px #00abff;
}



#boto-contacte:hover {
    box-shadow: 0 0 5px #00abff, 0 0 25px #00abff, 0 0 50px #00abff, 0 0 100px #00abff;
}


#div-contingut img {
    width: 550px;
    height: 350px;
    border-radius: 25px;
    box-shadow: 10px 10px 10px #00dd74;

}

#fons3 {
    max-width: 1000px;
    margin: 0 auto;

}

#h2-eina {
    text-align: center;
    font-size: xx-large;
    font-weight: bold;
    color: black;
    text-shadow: 3px 2px 3px #00dd74;
    margin-top: 40px;
}

#espai {
    display: flex;
    align-items: center;
    margin-bottom: 40px;
    margin-top: 30px;
    gap: 20px;
}

#espai img {
    width: 350px;
    border-radius: 25px;
    box-shadow: -10px 10px 10px #00abff;
}

#div-eina {
    max-width: 500px;

}

#p-eina {
    margin-top: 40px;
    font-size: 17px;
    line-height: 28px;
    text-align: justify;
    color: black;
    margin-left: 12px;
    margin-bottom: 45px;
}





#fons4 {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 600px;
    width: 100%;
    text-align: center;
    background-color: #e4e6e7;
    text-align: center;
}

#h2-serveis {
    font-size: xx-large;
    font-weight: bold;
    color: #111111;
    text-shadow: 3px 2px 3px #7c7979;
    margin-bottom: 40px;
    margin-top: 60px;


}

#div-serveis {
    display: flex;
    justify-content: center;
    gap: 40px;
    max-width: 1100px;
    width: 100%;
    text-align: justify;

}

#div2-serveis {
    background-color: white;
    padding: 25px 30px;
    border-radius: 12px;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
    flex: 1 1 400px;
    max-width: 500px;
    box-shadow: -10px 10px 10px #00dd74;
}

#div2-serveis2 {
    background-color: white;
    padding: 25px 30px;
    border-radius: 12px;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
    flex: 1 1 400px;
    max-width: 500px;
    box-shadow: -10px 10px 10px #00abff;
}


.h2-serveis {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 15px;
    color: black;
    text-align: center;

}

.p-serveis {
    margin-top: 40px;
    font-size: 17px;
    line-height: 28px;
    color: black;
    margin-left: 12px;
    margin-bottom: 45px;
}

#boto-serveis1 {
    width: 200px;
    margin: 0 auto;
    text-align: center;
    margin-top: 70px;
    background-image: linear-gradient(144deg, #00dd74, #00ddeb, #00abff, #00abff 50%, #00ddeb, #00dd74);
    border-radius: 8px;
    color: white;
    display: flex;
    font-size: 18px;
    line-height: 10px;
    padding: 3px;
    text-decoration: none;
    transition: all 0.3s;
    box-shadow: -10px 10px 10px #00dd74;

}


#boto-serveis2 {
    width: 200px;
    margin: 0 auto;
    text-align: center;
    background-image: linear-gradient(144deg, #00dd74, #00ddeb, #00abff, #00abff 50%, #00ddeb, #00dd74);
    border-radius: 8px;
    color: white;
    display: flex;
    font-size: 18px;
    line-height: 10px;
    padding: 3px;
    text-decoration: none;
    transition: all 0.3s;
    box-shadow: -10px 10px 10px #00abff;
}


.boto-serveis:active, .boto-serveis:hover {
    outline: 0;
}

.boto-serveis span {
    background-color: rgb(5, 6, 45);
    padding: 16px 24px;
    border-radius: 6px;
    width: 100%;
    height: 100%;
    transition: 300ms;

}

.boto-serveis:hover span {
    background: none;
}

.boto-serveis:active {
    transform: scale(0.9);
}



#div-principal {
    width: 100%;
    min-height: 60vh;
    display: flex;
    flex-direction: column;
}

#titol-reseñas {
    text-align: center;
    margin-top: 40px;
    margin-bottom: 60px;
    padding-inline: 20%;

}

#titol {
    font-size: xx-large;
}

*, *::after, *::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


.swiper {
    max-width: 140rem;
    padding-top: 4rem !important;
}

.swiper-slide {
    height: auto !important;
        box-sizing: border-box;

}


figure {
    padding-inline: 2.8rem;
    background-color: white;
    border-radius: 1.4rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

figure .profile-img {
    height: 8rem;
    width: 8rem;
    border-radius: 50%;
    margin-top: -4rem;
    border: .4rem solid var(--white);
}

figcaption {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

figcaption p {
    font-size: 1.4rem;
    color: var(--gray);
    padding-top: 1.6rem;
    padding-bottom: 2.4rem;
}

.info {
    display: flex;
    justify-content: space-between;
    border-top: 2px solid var(--light-gray);
    padding-top: 1.8rem;
    padding-bottom: 2.4rem;
    align-items: center;
}

.info .name-job h3 {
    font-size: 1.8rem;
    font-weight: 600;
    color: var(--black);
}

.info .name-job span {
    font-size: 1.4rem;
    color: var(--gray);
}

.info .ratings {
    list-style: none;
    display: flex;
    align-items: center;
}

.info .ratings img {
    height: 2.2rem;
    width: auto;
    margin-top: 0;
}



.nagivation {
    margin-top: 10px;
    display: flex;
    margin-bottom: 8rem;
    justify-content: center;
    gap: 2rem;
    --white: white;
    --black: #333;
    --gray: gray;
    --light-gray: rgba(128, 128, 128, .2);
    --red: #00abff;
}

.nagivation button {
    --size: 5rem;
    display: grid;
    place-items: center;
    border: none;
    border-radius: 50%;
    padding: 1rem;
    background-color: var(--red);
    height: var(--size);
    width: var(--size);
    cursor: pointer;
}

.nagivation button img {
    width: 100%;
    object-fit: contain;
}

.nagivation .btn-prev {
    transform: rotate(180deg);
}


#footer {
    background-color: #111;
    padding: 40px 20px 20px;
}

.footer-fons {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: auto;
    font-size: 14px;
}

.footer-logo {
    display: flex;
    align-items: center;
    max-width: 400px;
}

.footer-logo img {
    width: 60px;
    margin-right: 15px;
}

.footer-logo p {
    color: whitesmoke;
    font-size: 16px;
}

.footer-links h4, .footer-contacte h4 {
    font-size: 18px;
    margin-bottom: 12px;
    color: #00dd74;
}

.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links ul li a {
    font-size: 16px;
    color: whitesmoke;
    text-decoration: none;
}

.footer-links ul li a:hover {
    color: #00abff;
}

.footer-contacte p {
    font-size: 16px;
    color: whitesmoke;
    margin: 6px;
}

.footer-bottom {
    text-align: center;
    border-top: 1px solid #d1d5d8;
    padding-top: 15px;
    font-size: 14px;
    color: #888888;
    margin-top: 30px;
}







@media (max-width: 870px) {


    header {
        padding-left: 20px;
        padding-right: 20px;
    }

    #img-logo {
        display: none;
    }

    .nav {
        background-color: rgb(34, 37, 49);
        height: 100vh;
        width: 100%;
        max-width: auto;
        position: fixed;
        top: -100%;
        left: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        font-size: 48px;
        transition: .3s ease;
    }

    .nav.active {
        top: 0;
    }

    #nav-ul {
        flex-direction: column;
        gap: 50px;
    }

    #nav-ul li a {
        height: 70px;
        width: 130px;
    }

    .menu-nav {
        height: 50px;
        width: 40px;
        position: relative;
    }

    .menu-nav span {
        height: 5px;
        width: 100%;
        background-color: #00abff;
        border-radius: 25px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: 0.5s;
    }

    .menu-nav span:nth-child(1) {
        top: 25%;
    }

    .menu-nav span:nth-child(3) {
        top: 75%;
    }

    .menu-nav.active span {
        background-color: white;
    }

    .menu-nav.active span:nth-child(1) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .menu-nav.active span:nth-child(2) {
        opacity: 0;
    }

    .menu-nav.active span:nth-child(3) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    .div-log {
        gap: 0px 10px;
        font-size: 11px;
    }

    .a-log {
        padding: 8px 12px;
    }

    .a-log:hover {
        transform: scale(1.1);
    }

    /* PORTADA */
    .sec-div1 {
        text-align: center;
    }

    #h2-inicial {
        margin-top: -30px;
        font-size: xx-large;
    }

    #h3-inicial {
        margin-top: 60px;
        font-size: x-large;
    }

    #fons {
        width: 95%;
        height: auto;
        padding: 40px 20px;
    }

    /* EXPLICACIÓ */
    #div-explicacio {
        height: auto;
        padding: 30px 10px;
    }

    #div-contingut {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    #div-contingut img {
        width: 90%;
        height: auto;
    }

    #p-explicacio {
        text-align: left;
        padding: 0 10px;
    }

    #boto-contacte {
        display: inline-block;
        margin-top: 10px;
    }

    /* EINA */
    #fons3 {
        width: 95%;
        padding: 20px 10px;
    }

    #espai {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    #espai img {
        width: 90%;
    }

    #div-eina {
        max-width: 95%;
        padding: 0 10px;
    }

    #p-eina {
        text-align: left;
    }

    /* SERVEIS */
    #fons4 {
        height: auto;
        padding: 30px 10px;
    }

    #div-serveis {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }

    #div2-serveis,
    #div2-serveis2 {
        max-width: 90%;
    }

    #boto-serveis1,
    #boto-serveis2 {
        justify-content: center;
    }

    .p-serveis {
        text-align: left;
        padding: 0 10px;
    }

    /* RESSENYES */
    #titol-reseñas {
        padding-inline: 5%;
    }

    #div-principal {
        width: 100%;
        display: flex;
        flex-direction: column;

    }

    figure {
        width: 100%;
        max-width: 300px;
        margin: 0 auto;
        padding-inline: 1.4rem;
        box-sizing: border-box;
    }

    figcaption p {
        font-size: 1.3rem;
    }

    .info {
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }

    .info .ratings {
        justify-content: flex-start;
    }

    .swiper {
        max-width: 100%;
        overflow: hidden;
        padding-inline: 10px;
    }

    .swiper-slide {
        width: 100% !important;
        max-width: 100%;
        box-sizing: border-box;
        display: flex;
        justify-content: center;
    }

    .nagivation {
        max-width: 100%;
        overflow-x: auto;
        flex-wrap: wrap;
        justify-content: center;
    }

    .fons-2 {
        margin-bottom: 100px;
    }

    .footer-fons {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }

}